Name:			sdlmame
Version:		0.130u4
%define sversion 	%(sed -e "s/\\.//" <<<%{version})
%define distsuffix	plf
Release:		%mkrel 1

Summary:	SDL MAME is an arcade emulator
License:	Freeware
Group:		Emulators
URL:		http://rbelmont.mameworld.info/
Source0:	http://rbelmont.mameworld.info/%{name}%{sversion}.zip
Source1:	sdlmame-wrapper

BuildRequires:	SDL1.2-devel
BuildRequires:	expat-devel
BuildRequires:	zlib-devel
BuildRequires:	libxinerama-devel
BuildRequires:	gtk2-devel
BuildRequires:	libGConf2-devel
ExclusiveArch:	%ix86 x86_64 ppc
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
SDL MAME is an arcade emulator using SDL, and based on the Multiple Arcade 
Machine Emulator (MAME).

You can find a some freeware and their description on http://mamedev.org/roms/

If you some tricks to finish a game, the cheat.zip file is now provided in a 
other package named sdlmame-extra-data.

This package is in PLF because of Mandriva policy regarding emulators.

%prep
%setup -q -n %{name}%{sversion}
perl -pi -e "s|-Werror||g" makefile

%build
#notes:
#optimizing for specific processor adds suffixes:
#example pentiumpro "pp" : I686=1
#compiling the debugger always adds (and only) suffix "d" : DEBUG=1
#DRC options are forced ion / off in the makefile depending on the arch :
#no need for X86_MIPS3_DRC= X86_PPC_DRC=
#SYMBOLS=1 for a -debug package
%make PREFIX="sdl" \
 OPTIMIZE=1 \
 BUILD_ZLIB= \
 BUILD_EXPAT= \
 OPT_FLAGS="%optflags" \
%ifarch x86_64 alpha ia64 ppc64
 PTR64=1
%endif
%ifarch ppc
 PPC=1
%endif
#ifarch %ix86
# I686=1
#endif

%install
rm -rf %{buildroot}
install -d -m 755 %{buildroot}%{_gamesbindir}
install -m 755 %{name}* %{buildroot}/%{_gamesbindir}/sdlmame.real

#tools
#useful to manage roms
install -m 755 chdman %{buildroot}%{_gamesbindir}/chdman-sdlmame
install -m 755 romcmp %{buildroot}%{_gamesbindir}/romcmp-sdlmame
#useful to create a new keymap
install -m 755 testkeys %{buildroot}%{_gamesbindir}/testkeys-sdlmame
#other tools built:
#jedutils, makemeta, regrep, srcclean

#"support files" moved to sdlmame-extra-data
#but the directory is still owned by this package
install -d -m 755 %{buildroot}%{_gamesdatadir}/sdlmame

#ui font
install -m 644 ui.bdf %{buildroot}/%{_gamesdatadir}/sdlmame/

#keymaps
install -d -m 755 %{buildroot}%{_gamesdatadir}/sdlmame/keymaps
install -m 644 keymaps/* %{buildroot}/%{_gamesdatadir}/sdlmame/keymaps/

#install wrapper
install -m 755 %{_sourcedir}/sdlmame-wrapper %{buildroot}%{_gamesbindir}/sdlmame

%files
%defattr(-,root,root)
%doc SDLMAME.txt whatsnew.txt docs/*
%attr(0755,root,games) %{_gamesbindir}/sdlmame*
%attr(0755,root,games) %{_gamesbindir}/*-sdlmame
#{_mandir}/man1/sdlmame.1*
%{_gamesdatadir}/sdlmame

%clean
rm -rf %{buildroot}

%changelog
* Sun Apr 19 2009 Guillaume Bedot <littletux@zarb.org> 0.130u4-1plf2009.1
- 0.130u4

* Thu Jan  8 2009 Guillaume Bedot <littletux@zarb.org> 0.129-1plf2009.1
- 0.129
- added mameeinfo.dat (for qmc2)

* Mon Oct 20 2008 Guillaume Bedot <littletux@zarb.org> 0.128-1plf2009.1
- 0.128
- xml cheats
- added catver, history and nplayers

* Fri Aug 15 2008 Guillaume Bedot <littletux@zarb.org> 0.126u5-1plf2009.0
- 0.126u5
- fix buildrequires

* Sat Jul 12 2008 Guillaume Bedot <littletux@zarb.org> 0.126-1plf2009.0
- 0.126
- fix buildrequires
- rpm spec policy proposal related changes
- update description to point to some freeware roms

* Thu May 29 2008 Guillaume Bedot <littletux@zarb.org> 0.125u2-1plf2009.0
- 0.125u2* Tue May 15 2007 Guillaume Bedot <littletux@zarb.org> 0.115-1plf2008.0
- First PLF package


* Wed Mar 26 2008 Guillaume Bedot <littletux@zarb.org> 0.124-1plf2008.1
- 0.124

* Wed Feb  6 2008 Guillaume Bedot <littletux@zarb.org> 0.123-1plf2008.1
- 0.123

* Tue Feb 05 2008 Anssi Hannula <anssi@zarb.org> 0.122u7-2plf2008.1
- buildrequires libxinerama-devel

* Mon Jan 28 2008 Guillaume Bedot <littletux@zarb.org> 0.122u7-1plf2008.1
- 0.122u7

* Thu Dec 20 2007 Guillaume Bedot <littletux@zarb.org> 0.122-1plf2008.1
- 0.122

* Tue Nov 27 2007 Guillaume Bedot <littletux@zarb.org> 0.121u1-1plf2008.1
- 0.121u1

* Wed Aug 15 2007 Guillaume Bedot <littletux@zarb.org> 0.118u1-1plf2008.0
- 0.118u1
- added testkeys binary and keymap support to the wrapper

* Fri Jul 13 2007 Guillaume Bedot <littletux@zarb.org> 0.117-1plf2008.0
- 0.117
- simple wrapper added
- fixed rights on cheat.dat
- added ui.bdf
- dropped cheat patch (no need with the wrapper)

* Tue May 15 2007 Guillaume Bedot <littletux@zarb.org> 0.115-1plf2008.0
- First PLF package

